Package: org.apache.groovy.groovysh.completion

## [Groovy] Class BackslashEscapeCompleter

- org.apache.groovy.groovysh.completion.BackslashEscapeCompleter

- All Implemented Interfaces and Traits:
    jline.console.completer.Completer

      class BackslashEscapeCompleter
      extends Object
      implements jline.console.completer.Completer

  A completer within compatible strings (single/double quotes, single/double triple quotes) showing informational alternatives that can occur after the backslash escape character. No completion occurs and the cursor remains where it is.

  Since:
    2.4.13

- - ### Constructor Summary

    Constructors
    Constructor and description
    `BackslashEscapeCompleter()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `complete(String buffer, int cursor, List<CharSequence> candidates)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### BackslashEscapeCompleter()

  - ### Method Detail

    - #### @Override
      int complete(String buffer, int cursor, List<CharSequence> candidates)